%{!?lua_version: %global lua_version %{lua: print(string.sub(_VERSION, 5))}}
%{!?lua_pkgdir: %global lua_pkgdir %{_datadir}/lua/%{lua_version}}

%global luapkgname fluent
%global reponame %{luapkgname}-lua

Name:          lua-%{luapkgname}
Version:       0.2.0
Release:       1%{?dist}
Summary:       A Lua implementation of Project Fluent

License:       MIT
URL:           https://github.com/alerque/%{reponame}
Source0:       https://github.com/alerque/%{reponame}/archive/refs/tags/v%{version}.tar.gz
BuildArch:     noarch

Requires:      lua-cldr
Requires:      lua-luaepnf
Requires:      lua-penlight

BuildRequires: lua-devel
BuildRequires: luarocks

%description
Fluent Lua

A Lua implementation of Project Fluent, a localization paradigm designed
to unleash the entire expressive power of natural language translations.
Fluent is a family of localization specifications, implementations and
good practices developed by Mozilla who extracted parts of their 'l20n'
solution (used in Firefox and other apps) into a re-usable
specification.

%prep
%autosetup -n %{reponame}-%{version}

%install
rm -rf %{buildroot}
luarocks --tree=%{buildroot}/usr \
    make --deps-mode=none --no-manifest

# Remove luarocks metadata
rm -rf %{buildroot}/usr/lib

%files
%doc README.md
%license LICENSE
%{lua_pkgdir}/*

%changelog
* Thu Jun 30 2022 Johannes Maibaum <jmaibaum@gmail.com> - 0.2.0-1
- Initial spec file for lua-fluent
